Package org.apache.sling.jcr.jackrabbit.accessmanager

# Interface GetEffectiveAcl

All Known Implementing Classes:
  `GetEffectiveAclServlet`

public interface GetEffectiveAcl
The `GetAcl` service api.

This interface is not intended to be implemented by bundles. It is implemented by this bundle and may be used by client bundles.

## Method Summary

Modifier and Type
Method
Description
`jakarta.json.JsonObject`
`getEffectiveAcl(javax.jcr.Session jcrSession, String resourcePath)`
Gets the effective access control list for a resource.

## Method Details

### getEffectiveAcl

jakarta.json.JsonObject getEffectiveAcl(javax.jcr.Session jcrSession, String resourcePath) throws javax.jcr.RepositoryException
Gets the effective access control list for a resource.

Parameters:
  `jcrSession` - the JCR session of the user updating the user
  `resourcePath` - The path of the resource to get the ACL for (required)
Returns:
  the ACL as a JSON object
Throws:
  `javax.jcr.RepositoryException` - if any errors reading the information